<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title>Blog posts</title>
  <link href="/style.css" rel="stylesheet" type="text/css">
</head>

<body>
  <h1>Insert new blog post</h1>
  <form method="POST">
    <input type="text" name="title" placeholder="title"><br>
    <textarea rows="5" cols="100" name="content" placeholder="content"></textarea><br>
    <input type="submit" value="Submit">
  </form>
  <h1>Search by title</h1>
  <form method="GET">
    <input type="text" name="titleQuery" placeholder="title" value="<%= titleQuery %>">
    <input type="submit" value="Search">
  </form>
  <h1>Blog posts</h1>
  <% if (locals.err) { %>
    <p>Error occurred: <%= err %>
    </p>
    <% } %>
      <% if (locals.blogPosts && blogPosts.length> 0) { %>
        <% blogPosts.forEach((blogPost)=> { %>
          <h2>
            <%= blogPost.title %>
          </h2>
          <p class="date">uploaded at <%= blogPost.date %>
          </p>
          <p><%- blogPost.content %></p>
          <%# Itt a gond %>
            <% }) %>
              <% } else { %>
                <p class="message">No blog posts to show</p>
                <% } %>
</body>

</html>
